export type TimeFromMillisecondsType = {
    totalMilliseconds: number;
    totalSeconds: number;
    milliseconds: number;
    seconds: number;
    minutes: number;
    hours: number;
    days: number;
};
export type AMPMType = '' | 'pm' | 'am';
export type FormattedTimeFromMillisecondsType = {
    milliseconds: number;
    seconds: number;
    minutes: number;
    hours: number;
    ampm?: AMPMType;
};
export default class Time {
    static getTimeFromMilliseconds(millisecs: number, isCountDown?: boolean): TimeFromMillisecondsType;
    static getMillisecondsFromExpiry(expiry: Date): number;
    static getMillisecondsFromPrevTime(prevTime: number): number;
    static getMillisecondsFromTimeNow(): number;
    static getFormattedTimeFromMilliseconds(milliseconds: number, format?: '12-hour'): FormattedTimeFromMillisecondsType;
}
